# Interface IAlignmentFrameOptions

#### Hierarchy

- IBaseFrameOptions
  - IAlignmentFrameOptions

- Defined in file/paragraph/frame/frame-properties.ts:53

#####
Index

### Properties

alignment
anchor
anchorLock?
dropCap?
height
lines?
rule?
space?
width
wrap?

## Properties

### `Readonly` alignment

alignment: {
x: "center" | "left" | "right" | "inside" | "outside";
y: "bottom" | "center" | "top" | "inside" | "outside";
}

#### Type declaration

- ##### `Readonly` x: "center" | "left" | "right" | "inside" | "outside"

- ##### `Readonly` y: "bottom" | "center" | "top" | "inside" | "outside"

- Defined in file/paragraph/frame/frame-properties.ts:54

### `Readonly` anchor

anchor: {
horizontal: "text" | "margin" | "page";
vertical: "text" | "margin" | "page";
}

#### Type declaration

- ##### `Readonly` horizontal: "text" | "margin" | "page"

- ##### `Readonly` vertical: "text" | "margin" | "page"

Inherited from IBaseFrameOptions.anchor

- Defined in file/paragraph/frame/frame-properties.ts:35

### `Optional` `Readonly` anchorLock

anchorLock?: boolean

Inherited from IBaseFrameOptions.anchorLock

- Defined in file/paragraph/frame/frame-properties.ts:29

### `Optional` `Readonly` dropCap

dropCap?: "none" | "margin" | "drop"

Inherited from IBaseFrameOptions.dropCap

- Defined in file/paragraph/frame/frame-properties.ts:30

### `Readonly` height

height: number

Inherited from IBaseFrameOptions.height

- Defined in file/paragraph/frame/frame-properties.ts:32

### `Optional` `Readonly` lines

lines?: number

Inherited from IBaseFrameOptions.lines

- Defined in file/paragraph/frame/frame-properties.ts:34

### `Optional` `Readonly` rule

rule?: "auto" | "atLeast" | "exact"

Inherited from IBaseFrameOptions.rule

- Defined in file/paragraph/frame/frame-properties.ts:43

### `Optional` `Readonly` space

space?: {
horizontal: number;
vertical: number;
}

#### Type declaration

- ##### `Readonly` horizontal: number

- ##### `Readonly` vertical: number

Inherited from IBaseFrameOptions.space

- Defined in file/paragraph/frame/frame-properties.ts:39

### `Readonly` width

width: number

Inherited from IBaseFrameOptions.width

- Defined in file/paragraph/frame/frame-properties.ts:31

### `Optional` `Readonly` wrap

wrap?: "auto" | "none" | "around" | "notBeside" | "through" | "tight"

Inherited from IBaseFrameOptions.wrap

- Defined in file/paragraph/frame/frame-properties.ts:33

Generated using TypeDoc